package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 储能设施指标对象 adm_ems_elec_store_index
 * 
 * @author ruoyi
 * @date 2026-01-28
 */
@Data
public class ElecStoreIndex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    private String areaCode;

    /** 设施代码 */
    private String facsCode;

    /** 设备代码 */
    private String deviceCode;

    /** 日期 yyyy-MM-dd */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date date;

    /** 时间 yyyy-MM-dd HH:mm:ss */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    /** 充电功率 */
    private Double chargeVoltage;

    /** 放电功率 */
    private Double dischargePower;

    /** 当前容量 单位：kW-h（千瓦·时） */
    private Double currentCapacity;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("facsCode", getFacsCode())
            .append("deviceCode", getDeviceCode())
            .append("date", getDate())
            .append("time", getTime())
            .append("chargeVoltage", getChargeVoltage())
            .append("dischargePower", getDischargePower())
            .append("currentCapacity", getCurrentCapacity())
            .toString();
    }
}
